@import "../scss/colors";

.btn {
  width: 8rem;
  height: 2.5rem;
  margin: auto;
  &:hover {
    cursor: pointer;
    text-decoration-style: none;
    background-color: $back_main-color--high;
  }
  &.primary {
    padding: 0.125rem;
    margin: 0.1rem;
    text-align: center;
    line-height: 2rem;
    border: 0.1rem solid $second-color;
    background-color: $back_main-color--high;
    color: $second-color;
    border-radius: 0.25rem;
  }

  &.sign-in-up {
    width: 100%;
    display: flex;
    justify-self: center;
    text-align: center;
    padding: 0.1rem 0rem;
    border-radius: 0rem;
    border-bottom: 0.1rem solid $color-four !important;
    background-color: $back_main-color--high;
    margin: 0rem auto;
    border: none;
    color: $second-color-light;
    font-weight: bold;

    &.activated {
      background-color: $color-four;
      color: $back_main-color--low;
    }
    &:hover {
      background-color: darken($color-four, 5%);
      color: $back_main-color--low;
    }
  }
  &.forgot-password {
    display: flex;
    width: 50% !important;
    border: 0.1rem solid $color-fifth;
    // background-color: darken($color-fifth, 1%);
    color: $color-fifth;
    font-weight: bold;
  }
  &.sign-up {
    width: 100% !important;
    background-color: darken($color-fifth, 1%);
    color: $back_main-color--high;
    font-weight: bold;
  }
  &.sign-in {
    width: 100% !important;
    background-color: darken($color-fifth, 1%);
    color: $back_main-color--high;
    font-weight: bold;
    &:hover {
      background-color: darken($color-fifth, 10%);
    }
  }
}
